import { select, arc } from 'd3';

const svg=select('svg');
const w=+svg.attr('width');
const h=+svg.attr('height');

const circle=svg.append('circle')
	.attr('r', h/2)
	.attr('cx', w/2)
	.attr('cy', h/2)
	.attr('fill','yellow')
	.attr('stroke','black')
const leftEye=svg.append('circle')
  .attr('r',20)
  .attr('cx',w/2-80)
	.attr('cy',h/2-50)
	.attr('fill','black')

const rightEye=svg.append('circle')
  .attr('r',20)
  .attr('cx',w/2+80)
	.attr('cy',h/2-50)
	.attr('fill','black')
const g=svg.append('g')
	.attr('transform','translate(425,210)');
const mouth=g.append('path')
	.attr('d',arc()({
    innerRadius:100,
    outerRadius:120,
    startAngle: Math.PI/2,
    endAngle: Math.PI*3/2
}));
    

